Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class ComplexValueEncoding

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.ComplexValueEncoding

Direct Known Subclasses:
  ComplexValue, IOValue.ComplexValueReference

    public class ComplexValueEncoding

extends Object

ComplexValueEncodign.java Created on 24.03.2006. 17:29:57h References the XML schema, format, and encoding of a complex value.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Field Summary
`protected URI` | `encoding` The encoding of this input or requested for this output (e.g., UTF-8).
`protected String` | `format` The Format of this input or requested for this output (e.g., text/XML).
`protected URL` | `schema` Web-accessible XML Schema Document that defines the content model of this complex resource (e.g., encoded using GML 2.2 Application Schema).

Constructor Summary
`ComplexValueEncoding(String format, URI encoding, URL schema)`

Method Summary
`URI` | `getEncoding()`
`String` | `getFormat()`
`URL` | `getSchema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encoding

    protected URI encoding

  The encoding of this input or requested for this output (e.g., UTF-8). This "encoding" shall be included whenever the encoding required is not the default encoding indicated in the Process full description. When included, this encoding shall be one published for this output or input in the Process full description.

### format

    protected String format

  The Format of this input or requested for this output (e.g., text/XML). This element shall be omitted when the Format is indicated in the http header of the output. When included, this format shall be one published for this output or input in the Process full description.

### schema

    protected URL schema

  Web-accessible XML Schema Document that defines the content model of this complex resource (e.g., encoded using GML 2.2 Application Schema). This reference should be included for XML encoded complex resources to facilitate validation.

Constructor Detail

### ComplexValueEncoding

    public ComplexValueEncoding(String format,
                                URI encoding,
                                URL schema)

Parameters:
  `encoding` -
  `format` -
  `schema` -

Method Detail

### getEncoding

    public URI getEncoding()

  Returns:
    Returns the encoding.

### getFormat

    public String getFormat()

  Returns:
    Returns the format.

### getSchema

    public URL getSchema()

  Returns:
    Returns the schema.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org